Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.ee
Class InvocationManagedRuntime

    java.lang.Object
      |
      +--com.solarmetric.kodo.ee.InvocationManagedRuntime

All Implemented Interfaces:
  ManagedRuntime, Serializable

public class InvocationManagedRuntime
extends Object
implements ManagedRuntime

Implementation of the `ManagedRuntime` interface that uses a static method call to find the TransactionManager.

For example, to configure it to use IBM Websphere's TransactionManager, use the method:

`com.ibm.ejs.jts.jta.JTSXA.getTransactionManager`

See Also:
  Serialized Form

Constructor Summary
`InvocationManagedRuntime()`

Method Summary
`TransactionManager` | `getTransactionManager()` Return the TransactionManager for the managed runtime.
`String` | `getTransactionManagerMethod()` Return the method to invoke to get the `TransactionManager`.
`void` | `setConfiguration(EEConfiguration conf)` Configuration will be supplied before use.
`void` | `setTransactionManagerMethod(String methodName)` Set the method to invoke to get the `TransactionManager`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InvocationManagedRuntime

    public InvocationManagedRuntime()

Method Detail

### getTransactionManagerMethod

    public String getTransactionManagerMethod()

  Return the method to invoke to get the `TransactionManager`.

### setTransactionManagerMethod

    public void setTransactionManagerMethod(String methodName)

  Set the method to invoke to get the `TransactionManager`. E.g.: com.ibm.ejs.jts.jta.JTSXA.getTransactionManager

### setConfiguration

    public void setConfiguration(EEConfiguration conf)

  Description copied from interface: `ManagedRuntime`
  Configuration will be supplied before use.
  Specified by:
    `setConfiguration` in interface `ManagedRuntime`

### getTransactionManager

    public TransactionManager getTransactionManager()
                                             throws Exception

  Description copied from interface: `ManagedRuntime`
  Return the TransactionManager for the managed runtime. This manager is used to register synchronization listeners, to map transactional PersistenceManagers to the current transaction, and possibly to enlist XA resources.
  Specified by:
    `getTransactionManager` in interface `ManagedRuntime`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.